Bug 81275 - FIX: Hydra port does not compile xhydra
Summary: FIX: Hydra port does not compile xhydra
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-19 18:40 UTC by Nicolas Blais
Modified: 2005-05-22 00:55 UTC (History)
0 users

See Also:


Attachments
Makefile.diff (535 bytes, patch)
2005-05-20 22:12 UTC, Nicolas Blais
no flags Details | Diff
patch-aa (277 bytes, text/x-diff; charset=iso-8859-1)
2005-05-20 22:12 UTC, Nicolas Blais
no flags Details
patch-ab (301 bytes, text/x-diff; charset=iso-8859-1)
2005-05-20 22:12 UTC, Nicolas Blais
no flags Details
patch-aa (277 bytes, text/x-diff; charset=us-ascii)
2005-05-20 22:14 UTC, Nicolas Blais
no flags Details
patch-ab (301 bytes, text/x-diff; charset=us-ascii)
2005-05-20 22:14 UTC, Nicolas Blais
no flags Details
Makefile.diff (535 bytes, patch)
2005-05-20 22:14 UTC, Nicolas Blais
no flags Details | Diff
patch-ac (1.60 KB, text/x-diff; charset=us-ascii)
2005-05-20 22:45 UTC, Nicolas Blais
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Blais 2005-05-19 18:40:01 UTC
When compiling /security/hydra port, it will not compile xhydra, nor will it install it.

output of make:
gcc -I. -Wall -O2 -fno-strict-aliasing -pipe -march=athlon-mp -lm -o hydra hydra-vnc.o hydra-pcnfs.o hydra-rexec.o hydra-nntp.o hydra-socks5.o  hydra-telnet.o hydra-cisco.o hydra-http.o hydra-ftp.o hydra-imap.o  hydra-pop3.o hydra-smb.o hydra-icq.o hydra-cisco-enable.o hydra-ldap.o  hydra-mysql.o hydra-http-proxy.o hydra-smbnt.o hydra-mssql.o  hydra-snmp.o hydra-cvs.o hydra-smtpauth.o  hydra-sapr3.o hydra-ssh2.o d3des.o  hydra-mod.o hydra.o  -lssl -lcrypto -L/usr/lib -L/usr/local/lib -L/lib -L/usr/lib -L/lib

If men could get pregnant, abortion would be a sacrament

cd hydra-gtk && ./make_xhydra.sh
./make_xhydra.sh: not found
*** Error code 127 (ignored)

Fix: 

When make is done, go in work/hydra-4.5-src/hydra-gtk and type 
bash make_xhydra.sh
you will get this error msg:

Trying to compile xhydra now (hydra gtk gui) - dont worry if this fails, this is really optional ...
Error: could not compile. Analyse this:
"Makefile", line 215: Need an operator
make: fatal errors encountered -- cannot continue

Do not worry, as I said, xhydra is really optional. ./hydra is ready to go!

now type gmake. It will compile successfully and xhydra will be in src.
How-To-Repeat: in /ports/security/hydra and type make.
Comment 1 Pav Lucistnik freebsd_committer 2005-05-20 21:31:04 UTC
State Changed
From-To: open->feedback

Can you provide a patch for a port that will make it compile and install 
properly? Have you talked with maintainer about this? Maybe him could fix it. 


Comment 2 Pav Lucistnik freebsd_committer 2005-05-20 21:31:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 Nicolas Blais 2005-05-20 22:12:24 UTC
On May 20, 2005 04:31 pm, you wrote:
> Synopsis: FIX: Hydra port does not compile xhydra
>
> State-Changed-From-To: open->feedback
> State-Changed-By: pav
> State-Changed-When: Fri May 20 20:31:04 GMT 2005
> State-Changed-Why:
> Can you provide a patch for a port that will make it compile and install
> properly? Have you talked with maintainer about this? Maybe him could fix
> it.
>
>
> Responsible-Changed-From-To: freebsd-ports-bugs->pav
> Responsible-Changed-By: pav
> Responsible-Changed-When: Fri May 20 20:31:04 GMT 2005
> Responsible-Changed-Why:
> Track
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=81275

I have attached the patches.

If you have any problems, feel free to contact me.
Nicolas.
Comment 4 Nicolas Blais 2005-05-20 22:14:47 UTC
Attached are the patches.

Nicolas.
Comment 5 Pav Lucistnik freebsd_committer 2005-05-20 22:33:47 UTC
Dear maintainer of FreeBSD port security/hydra, do you approve following
patch which enabled build and installation of xhydra in your port?

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/security/hydra/Makefile,v
retrieving revision 1.10
diff -a -u -r1.10 Makefile
--- Makefile	8 Feb 2005 21:54:03 -0000	1.10
+++ Makefile	20 May 2005 21:29:10 -0000
@@ -18,9 +18,11 @@
 COMMENT=	Brute force attack utility working on multiple network services
 
 NO_LATEST_LINK=	yes
-PLIST_FILES=	bin/hydra
+PLIST_FILES=	bin/hydra bin/xhydra
 USE_REINPLACE=	yes
 GNU_CONFIGURE=	yes
+USE_GMAKE=	yes
+USE_GNOME=	gtk20
 USE_OPENSSL=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}-src
 
@@ -30,6 +32,6 @@
 		${WRKSRC}/Makefile.am
 
 do-install:
-	@${INSTALL_PROGRAM} ${WRKSRC}/hydra ${PREFIX}/bin
+	@${INSTALL_PROGRAM} ${WRKSRC}/hydra ${WRKSRC}/hydra-gtk/src/xhydra ${PREFIX}/bin
 
 .include <bsd.port.mk>
Index: files/patch-Makefile.am
===================================================================
RCS file: files/patch-Makefile.am
diff -N files/patch-Makefile.am
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-Makefile.am	20 May 2005 21:29:10 -0000
@@ -0,0 +1,11 @@
+--- Makefile.am.orig	Fri May 20 16:54:16 2005
++++ Makefile.am	Fri May 20 16:54:24 2005
+@@ -36,7 +36,7 @@
+ 	@echo
+ 
+ xhydra:	
+-	-cd hydra-gtk && ./make_xhydra.sh
++	-cd hydra-gtk && sh make_xhydra.sh
+ 
+ pw-inspector: pw-inspector.c
+ 	-$(CC) $(OPTS) -o pw-inspector pw-inspector.c
Index: files/patch-hydra-gtk-make_xhydra.sh
===================================================================
RCS file: files/patch-hydra-gtk-make_xhydra.sh
diff -N files/patch-hydra-gtk-make_xhydra.sh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-hydra-gtk-make_xhydra.sh	20 May 2005 21:29:10 -0000
@@ -0,0 +1,11 @@
+--- hydra-gtk/make_xhydra.sh.orig	Fri May 20 17:03:45 2005
++++ hydra-gtk/make_xhydra.sh	Fri May 20 17:04:06 2005
+@@ -8,7 +8,7 @@
+   cat errors
+   exit 1
+ }
+-make > /dev/null 2> errors
++gmake > /dev/null 2> errors
+ test -e src/xhydra || {
+   echo "Error: could not compile. Analyse this:"
+   cat errors


-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

arch> I went grocery shopping, made a pot of chilli, played ey,
then ate some chilli
Comment 6 Nicolas Blais 2005-05-20 22:45:13 UTC
There is also this patch missing which fixes a bug in the xhydra code.

Nicolas.
Comment 7 Pav Lucistnik freebsd_committer 2005-05-21 11:06:54 UTC
Laurent LEVIER pí¹e v so 21. 05. 2005 v 10:01 +0200:
> At 23:33 20/05/2005, Pav Lucistnik wrote:
> >Dear maintainer of FreeBSD port security/hydra, do you approve following
> >patch which enabled build and installation of xhydra in your port?


> Hi Pav,
> 
> I checked and it seems 2nd patch (on make_xhydra) does not apply here.
> As a result, xhydra compile fails.
> But it looks correct, I dont understand why it does not apply. Do you have 
> an idea?


It does apply nicely here, maybe your mailer did something nasty to tabs

Get the patch from here http://hood.oook.cz/irc/hydra.diff or patched
port from http://hood.oook.cz/irc/hydra.tar.gz

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Oh, no! Aaargh! It is the most unnatural, most disgusting
creature imaginable: a two-eyed cyclops!
Comment 8 Pav Lucistnik freebsd_committer 2005-05-21 11:56:57 UTC
Laurent LEVIER p=ED=B9e v so 21. 05. 2005 v 12:36 +0200:
> At 12:06 21/05/2005, Pav Lucistnik wrote:
> >Get the patch from here http://hood.oook.cz/irc/hydra.diff or patched
> >port from http://hood.oook.cz/irc/hydra.tar.gz

> Ported patch works definitely better, but compile failed for xhydra:

Redownload the port from same URL and retry, I fixed that problem.

--=20
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

EMACS: Eight Megabytes And Continually Swapping
Comment 9 Pav Lucistnik freebsd_committer 2005-05-21 13:22:32 UTC
Nicolas Blais p=ED=B9e v so 21. 05. 2005 v 08:10 -0400:
> On May 21, 2005 06:56 am, Pav Lucistnik wrote:
> > Laurent LEVIER p=ED=B9e v so 21. 05. 2005 v 12:36 +0200:
> > > At 12:06 21/05/2005, Pav Lucistnik wrote:
> > > >Get the patch from here http://hood.oook.cz/irc/hydra.diff or patche=
d
> > > >port from http://hood.oook.cz/irc/hydra.tar.gz
> > >
> > > Ported patch works definitely better, but compile failed for xhydra:
> >
> > Redownload the port from same URL and retry, I fixed that problem.
>=20
> The ported hydra above compiles and install fine, but it still contains t=
he=20
> bug in callbacks.c (argv not transfered in the correct order to hydra). M=
y=20
> last patch (patch-ac) fixes this problem while=20
> patch-hydra-gtk-src-callbacks.c does not.

Okay, intergrated Nicolas' patch, files on URLs above updated.

--=20
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

I am a shrubber. My name is Roger the Shrubber. I arrange, design and
sell shrubberies.
Comment 10 Pav Lucistnik freebsd_committer 2005-05-22 00:55:48 UTC
State Changed
From-To: feedback->closed

Committed, thanks!